path: /build/build/virtualbox-modules-kernel-6.1-7.0.20.163906.package.tar.zst
dependencies: []
compilespec:
  steps:
  - luet i -y sys-apps/kmod virtual/modutils pkgconf virtual/libelf virtual/linux-sources
    && luet cleanup
  - epro list && emerge -j ${JOBS} app-emulation/virtualbox-modules -pv -t
  - |
    emerge -j ${JOBS} app-emulation/virtualbox-modules
  - |
    eval 'rm -rf /virtualbox-modules || true' && mkdir /virtualbox-modules && \
    luet-portage --dir /virtualbox-modules app-emulation/virtualbox-modules
  - for i in /virtualbox-modules/lib/modules/6.1.104-macaroni/misc/*.ko ; do zstd
    ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:29224e5e8f5e17663514c3c5fdb6c15ff351862584f5ef7342b8fbd3dcb76dff
  package:
    name: virtualbox-modules
    version: 7.0.20.163906
    category: kernel-6.1
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.1
    annotations:
      kernel_module: true
    buildtimestamp: 2024-08-22 11:05:33.935371733 +0000 UTC m=+356.083705100
    labels:
      emerge.packages: app-emulation/virtualbox-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.1.104
    treedir: /build/packages
  package_dir: /virtualbox-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/etc/modprobe.d/
  - ^/usr/lib/modules-load.d/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 9d7a97971ad9f05c51de65155158616404ec176fff1cf6c0b71d034d15bf11de
compressiontype: zstd
files:
- lib/modules/6.1.104-macaroni/misc/vboxdrv.ko.zst
- lib/modules/6.1.104-macaroni/misc/vboxnetadp.ko.zst
- lib/modules/6.1.104-macaroni/misc/vboxnetflt.ko.zst
package_cacheimage: ""
runtime:
  name: virtualbox-modules
  version: 7.0.20.163906
  category: kernel-6.1
  requires:
  - name: virtualbox-common
    version: '>=0'
    category: kernel
  annotations:
    kernel_module: true
  labels:
    emerge.packages: app-emulation/virtualbox-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.1.104
